org.appng.xml.platform

## Class Size

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.ValidationRule
    - - org.appng.xml.platform.Size

- All Implemented Interfaces:
    Serializable

      public class Size
      extends ValidationRule
      implements Serializable

  A `ValidationRule` indicating the length of the `FieldDef`s value needs to be between `getMin()` and `getMax()` characters long.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Integer` | `max`
    `protected Integer` | `min`

    - ### Fields inherited from class org.appng.xml.platform.ValidationRule

      `message`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Size()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getMax()` The maximum length.
    `Integer` | `getMin()` The minimum length.
    `void` | `setMax(Integer value)` Sets the value of the max property.
    `void` | `setMin(Integer value)` Sets the value of the min property.

    - ### Methods inherited from class org.appng.xml.platform.ValidationRule

      `getMessage, setMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### min

          protected Integer min

    - #### max

          protected Integer max

  - ### Constructor Detail

    - #### Size

          public Size()

  - ### Method Detail

    - #### getMin

          public Integer getMin()

      The minimum length.
      Returns:
        possible object is `Integer`

    - #### setMin

          public void setMin(Integer value)

      Sets the value of the min property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getMax

          public Integer getMax()

      The maximum length.
      Returns:
        possible object is `Integer`

    - #### setMax

          public void setMax(Integer value)

      Sets the value of the max property.
      Parameters:
        `value` - allowed object is `Integer`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.